Package python-oslotest

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-oslotest in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-oslotest-2.13.0-5.fc29
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python3-oslotest-2.13.0-5.fc29
    • /usr/bin/python3
    • python(abi) = 3.7

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Groups

Dependencies

Run time

1 Python 3 only; 8 Dual support; 1 Mispackaged; 1 Dropped
Package Upstream Fedora
  subunit (nonblocking)   M bug (CLOSED ERRATA)
  python-debtcollector  
  python-fixtures  
  python-mock  
  python-mox3  
  python-six   bug (CLOSED CURRENTRELEASE)
  python-testrepository  
  python-testscenarios  
  python-testtools  
  python3   bug (NEW)
  python2   X

Build time

1 Python 3 only; 9 Dual support; 1 Dropped
Package Upstream Fedora
  python-debtcollector  
  python-mock  
  python-mox3  
  python-oslo-sphinx  
  python-pbr   bug (CLOSED RAWHIDE)
  python-six   bug (CLOSED CURRENTRELEASE)
  python-sphinx  
  python-testrepository  
  python-testscenarios  
  python3   bug (NEW)
  python2   X